{% extends "ajax/game/game.html.twig" %}
{% block title %}{{'Das Leichsblatt, Ausgabe vom {day}. Tag'|trans({'{day}': gazette.day}, 'game')}}{% endblock %}
{% block menu_text %}
    {{parent()}}
    <li class="back-dash" x-ajax-href="{{ url('game_landing') }}">{{ 'Zum Spiel'|trans({},'global') }}</li>
{% endblock %}
{% block ajax %}
    {{ parent() }}
    <div>
        <div>
            <input type="checkbox" name="gazette-switch" id="gazette-switch" />

            <div style="max-width: 800px; margin: 0 auto;">
                {% if announcement is not null %}
                    <div class="note newspaper-announcement">
                        {{ 'Das Neuste aus aller Welt: {announcement}, {date}'|trans({ announcement: '<b class="pointer" x-ajax-href="' ~ url('soul_news') ~ '">' ~ announcement.title ~ '</b>', date: '<span>' ~ announcement.timestamp|format_datetime('medium', 'none') ~ '</span>' },'game')|raw }}
                    </div>
                {% endif %}
                <div class="small right">
                    <b x-ajax-href="{{ url('soul_future') }}" class="pointer">{{ season is not null and season.number == 0 ? "Beta-Saison"|trans({},'soul') : "Saison {season}"|trans({"{season}": season is not null ? season.number : 0}, 'soul') }}</b>
                </div>
            </div>

            {% include 'ajax/game/gazette_widget.html.twig' with { gazette: gazette, council: council } %}

            {% if citizensWithRole|length > 0 or votesNeeded|length > 0 %}
            <h5 id="gazette-role-title">{{ 'Stadtrat'|trans({}, 'game') }}</h5>
            <div id="gazette-role-list">
                {% for role in votesNeeded %}
                    <p><img alt="•" src="{{ asset('build/images/icons/small_help.gif') }}" />
                        {{ "Heute Nacht wird eine Wahl für den {rolename} der Stadt abgehalten. Denke daran, rechtzeititg {vote_link}."|trans({'rolename': role.label|trans({}, 'game'), 'vote_link': ('<a href="#" x-ajax-href="' ~ path('town_citizen_vote', {roleId: role.id}) ~ '">' ~ 'im Wahlbüro abzustimmen'|trans({}, 'game') ~ '</a>')} , 'game')|raw }}</p>
                {% endfor %}
                {% for roleId, array in citizensWithRole %}
                    {% for citizen in array.citizens %}
                        {% if not array.role.secret and not array.role.hidden %}
                            <p><img alt="•" src="{{ asset('build/images/icons/small_middot.gif') }}" />{{ "Der {rolename} der Stadt ist {username}"|trans({'rolename': array.role.label|trans({'ref': citizen}, 'game'), 'username': citizen, 'username__tag': 'strong', 'rolename__tag': 'strong'} , 'game')|raw }}</p>
                        {% endif %}
                    {% endfor %}
                {% endfor %}
            </div>
            {% endif %}

            <div class="row gazette-search">
                {% if show_register %}
                    <div class="cell padded rw-3 rw-lg-4 rw-md-12">
                        <div class="note">
                            <h2 class="page-head">{{ 'Das Register filtern'|trans({}, 'game') }}</h2>
                            <div class="row">
                                <label for="citizen-filter" class="cell rw-4 rw-lg-12">{{ 'Bürger:'|trans({}, 'game') }}</label>
                                <select id="citizen-filter" name="citizen-filter" class="cell rw-8 rw-lg-12" x-filter-name="citizen">
                                    <option value="-1">[ {{ 'Alles sehen'|trans({}, 'game')}} ]</option>
                                    {% for citizen in town.citizens|sort((a,b) => a.name|lower <=> b.name|lower) %}
                                        <option value="{{ citizen.id }}">{% if not citizen.alive %}&dagger; {% endif %}{{ citizen.name }}</option>
                                    {% endfor %}
                                </select>

                                <label for="category-filter" class="cell rw-4 rw-lg-12">{{ 'Kategorie:'|trans({}, 'game') }}</label>
                                <select id="category-filter" name="category-filter" class="cell rw-8 rw-lg-12" x-filter-name="category">
                                    <option value="-1">[ {{ 'Alles sehen'|trans({}, 'game')}} ]</option>
                                    <option value="{{ constant('App\\Entity\\LogEntryTemplate::TypeCrimes') }}">{{ 'Verbrechen'|trans({}, 'game') }}</option>
                                    <option value="{{ constant('App\\Entity\\LogEntryTemplate::TypeBank') }}">{{ 'Bank'|trans({}, 'game') }}</option>
                                    <option value="{{ constant('App\\Entity\\LogEntryTemplate::TypeDump') }}">{{ 'Müllhalde'|trans({}, 'game') }}</option>
                                    <option value="{{ constant('App\\Entity\\LogEntryTemplate::TypeConstruction') }}">{{'Baustelle'|trans({}, 'game')}}</option>
                                    <option value="{{ constant('App\\Entity\\LogEntryTemplate::TypeWorkshop') }}">{{ 'Werkstatt'|trans({}, 'game') }}</option>
                                    <option value="{{ constant('App\\Entity\\LogEntryTemplate::TypeDoor') }}">{{ 'Stadttor'|trans({}, 'game') }}</option>
                                    <option value="{{ constant('App\\Entity\\LogEntryTemplate::TypeWell') }}">{{ 'Brunnen'|trans({}, 'game') }}</option>
                                    <option value="{{ constant('App\\Entity\\LogEntryTemplate::TypeCitizens') }}">{{ 'Neue und Tote'|trans({}, 'game') }}</option>
                                    <option value="{{ constant('App\\Entity\\LogEntryTemplate::TypeNightly') }}">{{ 'Zombieangriff (newspaper)'|trans({}, 'game') }}</option>
                                </select>
                            </div>
                        </div>
                    </div>
                {% endif %}
                {% if show_register %}
                    <div class="cell padded rw-9 rw-lg-8 rw-md-12">
                        {% embed "ajax/game/log.html.twig" with {'log_content': log, 'log_source': path('game_newspaper_log_controller') } %}
                        {% endembed %}
                    </div>
                {% else %}
                    <div class="cell padded rw-9 ro-3 rw-lg-8 ro-lg-4 rw-md-12 ro-md-0">
                        <div class="note">{{ 'Das Stadtregister steht nicht zur Verfügung.'|trans({}, 'game') }}</div>
                    </div>
                {% endif %}
            </div>
        </div>
    </div>
{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
        {% if show_register %}
            {% embed "scripts/log.js.twig" %}{% endembed %}

            let log_boxes = document.querySelectorAll('.log-container');
            for (let i = 0; i < log_boxes.length; i++) {
                let log = log_boxes[i].querySelector( '.log' );

                const has_preloaded_content = log.getAttribute('x-log-default-provided') == '1';
                const url = log.getAttribute('x-log-source');
                let content_box = log.querySelectorAll('.log-content');

                const fun_refresh = function(d) {
                    let payload = {
                        day: d
                    };

                    let filters = document.querySelectorAll("[x-filter-name]");
                    for(let j = 0 ; j < filters.length ; j++) {
                        payload[filters[j].getAttribute('x-filter-name')] = filters[j].value;
                    }

                    $.ajax.no_history().load( content_box[0], url, false, payload )
                };

                document.getElementById("citizen-filter")?.addEventListener('change', function(){
                    let control_tab = log_boxes[i].querySelector( '.log-day-select .tab.current' );
                    let   cur = parseInt(control_tab.getAttribute( 'x-day' ));
                    fun_refresh(cur);
                });

                document.getElementById("category-filter")?.addEventListener('change', function(){
                    let control_tab = log_boxes[i].querySelector( '.log-day-select .tab.current' );
                    let cur = parseInt(control_tab.getAttribute( 'x-day' ));
                    fun_refresh(cur);
                });
            }
        {% endif %}
    </script>
{% endblock %}